
module MC_SCA_CF {

typedef sequence <octet> CharSequence;
typedef sequence <short> ShortSequence;

struct ComplexShort {
	short real;
	short imag;
};

enum WaterLevel {
	high,
	low
};

typedef sequence<ComplexShort> ComplexShortSequence;

interface DataPortShort {
	oneway void push_short(in ShortSequence data);
};

interface DataPortChar {
	oneway void push_char(in CharSequence data);
};

interface DataPortComplexShort {
	oneway void push_complexShort(in ComplexShortSequence data);
};

}; // End of Module MC_SCA_CF


